GNS3
http://forum.gns3.net/

GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk
http://forum.gns3.net/topic6666-20.html
Page 3 of 5

Author:  grossmj [ Sun Oct 27, 2013 7:10 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

Quote:
Actually, PyQt 5.1.1 is installed. Is GNS3 expecting PyQt 4?


Yes, indeed. All this import are from PyQt4...

Author:  claydon_dan [ Sun Oct 27, 2013 7:53 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

actionmystique wrote:
Is GNS3 expecting PyQt 4

I've just double-checked the package depends and the gns3 package is set to depend on python-qt4... so if not present on your system this should have been automatically installed.

I have also verified that python-qt4 is available in 13.10 (Saucy), which it is... http://packages.ubuntu.com/saucy/python-qt4

Hmmm... Very odd!

Author:  actionmystique [ Mon Oct 28, 2013 9:51 am ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

It would be nice to put these limitations regarding the GNS3 dependencies on this page http://code.gns3.net/gns3-devel/raw-file/tip/README and inside the README file provided in the src package:

- python up to 2.7.5 (not 3.x) (instead of Python 2.6 (or higher))
- PyQt4 (not PyQt5) (instead of PyQt 4.5 (or higher))

What about Qt and Sip? I have all latest releases (Qt 5.1.1, Sip 4.15.3).

Author:  grossmj [ Mon Oct 28, 2013 8:48 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

Quote:
It would be nice to put these limitations regarding the GNS3 dependencies on this page http://code.gns3.net/gns3-devel/raw-file/tip/README and inside the README file provided in the src package:

- python up to 2.7.5 (not 3.x) (instead of Python 2.6 (or higher))
- PyQt4 (not PyQt5) (instead of PyQt 4.5 (or higher))


Yep, this file would need a good update... Next GNS3 will support both python 3 and PyQt5 (+ PySide) though.

Quote:
What about Qt and Sip? I have all latest releases (Qt 5.1.1, Sip 4.15.3).


Sip is a dependency of PyQt. What is your question?

Cheers,

Author:  actionmystique [ Mon Oct 28, 2013 11:07 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

Are there similar limitations on Sip?

Author:  actionmystique [ Tue Oct 29, 2013 8:53 am ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

Still the same error
Attachment:
PyQt Issue.JPG
PyQt Issue.JPG [ 19.07 KiB | Viewed 8418 times ]

With the following configuration:
    -Ubuntu 13.10
    -Python 2.7.5
    -Qt 5.1.1
    -Sip 4.15.3
    -PyQt 4.10.3 (or 5.1.1)
    -PPA GNS3 Dynamips

Author:  claydon_dan [ Tue Oct 29, 2013 5:38 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

actionmystique wrote:
Still the same error

With the following configuration:
    -Ubuntu 13.10
    -Python 2.7.5
    -Qt 5.1.1
    -Sip 4.15.3
    -PyQt 4.10.3 (or 5.1.1)
    -PPA GNS3 Dynamips

I've just set up a 13.10 Virtual Machine and can't replicate the issue at all. This was a clean install, added the GNS3 PPA and gns3 works faultlessly.

pyhton-qt4 (aka PyQt) is only available as version 4.10.3, so i'm not sure where your version 5.1.1 comes from. If this is one of the qt5 packages, they are completely unrelated to the python-qt4 package.

As a side note... If you've installed Dynamips via the PPA, there is no need to run GNS3 using sudo as the dynamips package sets the permissions required for dynamips to function as a normal user.

Author:  actionmystique [ Wed Oct 30, 2013 8:27 am ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

I used a fresh Ubuntu 13.10 installation (instead of upgrading 13.04) and manually compiled all GNS3 dependencies using the following official packages (python 2.7.5 is included with ubuntu 13.10):

And PyQt 5.1.1 comes from here: http://www.riverbankcomputing.co.uk/software/pyqt/download5

With the previous environment, I got the 'import Qt modules' error.

If I use a fresh Ubuntu 13.10 with python-qt4 and GNS3/Dynamips PPA, then GNS3 starts without any problem.

Author:  jcharpentier [ Mon Mar 03, 2014 2:56 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

Hello All,

I'm linux enthusiast and I'm playing with GNS3 on Ubuntu 13.04 but just by console..
I installed GNS3 trough the PPA repository
Code:
sudo add-apt-repository ppa:gns3/ppa
sudo apt-get update
sudo apt-get install dynamips gns3


I manage myself to run GNS3 by console with a specific project.
How can I access the config file to tell where is the IOS folder and the project folder?
How can I access dynamips to start a router manually? (like the old times with dynagen/dynamips)

Thank you in advance for your response..

J.Charpentier

Author:  claydon_dan [ Mon Mar 03, 2014 7:35 pm ]
Post subject:  Re: GNS3 Launchpad Instructions. Or HOW TO DOWNLOAD .deb pgk

jcharpentier wrote:
How can I access the config file to tell where is the IOS folder and the project folder?

The easiest way of modifying the config is through GNS3, Edit -> Preferences
jcharpentier wrote:
How can I access dynamips to start a router manually? (like the old times with dynagen/dynamips)

Dynamips is available from the $PATH so you can start Dynamips manually, by simply typing dynamips into the command prompt... Though it's much easier to let GNS3 handle all of that for you.

If you do want to start it manually, you might want to take a look at
Code:
man dynamips
which will give you details of the command line options

Page 3 of 5 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/